import { Route } from './Route';
export interface Logger {
    log: (message?: any, ...optionalParams: any[]) => void;
}
export interface CliOptions {
    caseSensitive?: boolean;
    enableRepl?: boolean;
}
export declare class CLI<TContext = any> extends Route {
    private _invocation;
    private _cliOptions;
    logger?: Logger;
    constructor(invocation: string, options?: CliOptions);
    run(argv?: string[], done?: (error?: Error) => any): void;
}
//# sourceMappingURL=CLI.d.ts.map